Table of Contents

## Name

im_mmapin - memory maps a VASARI image file (read only) and returns an image descriptor.

## Synopsis

#include <vips/vips.h>

IMAGE *im_mmapin(file_name)
char *file_name;

## Description

im_mmapin(3) opens a file for input. It has been replaced by im_open( file_name, "r" ).

## Return Value

The function returns the image descriptor on success and NULL on error.

## See Also

im_open(3) , im_close(3) , im_mmapinrw(3) , im_makerw(3) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 11/04/1990

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author